%define	name	scribus
%define version 1.3.0
%define	rel	1
%define release %mkrel %{rel}

%define	major	0
%define	libname	%mklibname %name %major

# Data should better live in %{_datadir}/scribus/
%define scribusdir %{_libdir}/scribus

Summary: 	Scribus layout program
Name: 		%name
Version: 	%version
Release:	%release
Source0:	scribus-%{version}.tar.bz2
Source1:	%name-i18n-de.tar.bz2
Source2:	%name-i18n-fr.tar.bz2
Source3:	%name-i18n-en.tar.bz2
Source4:	%name-samples-0.1.tar.bz2

URL: 		http://www.scribus.org.uk/

License: 	GPL
Group: 		Office
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	autoconf2.5
Buildrequires:	lcms-devel
BuildRequires:	qt3-devel libart_lgpl-devel

Requires:	%libname = %version
Obsoletes:	kde3-scribus 
Provides:  	kde3-scribus 

%description
Scribus is a DTP (Desktop Publishing) application in the tradtion of
Xpress, Pagemaker or similar. At the moment it is still in the early
stages of development, but fairly usable. You can do all the important
things, such as embedding pictures, placing text on a page and much
more.

Printing is done via the application's own Postscript driver, since the
driver supplied by Qt has too many limitations and each version of it
has its own faults. The driver that ships with Scribus can embed fonts
for printing and can use EPS images at high quality.

At the moment Scribus supports only Type1 (Postscript) and TrueType
fonts.

%package -n	%libname
Summary:	Main libraries for %name
Group:		System/Libraries

Obsoletes:	libkde3-scribus0 
Provides:	libkde3-scribus0 


%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %name.                                                                                                                            

%package -n	%{libname}-devel
Summary:	Development tools for programs which will use the %libname library
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

Obsoletes:	libkde3-scribus0-devel
Provides:	libkde3-scribus0-devel

%description -n	%{libname}-devel
The %{libname}-devel package includes the header files and static libraries
necessary for developing programs using the %{libname} library.

If you are going to develop programs which will use this library
you should install %{libname}-devel.  You'll also need to have the %name
package installed.

%package -n	%name-i18n-de
Summary:	German documentation for scribus
Group:		Office
Requires:	%name locales-de

%description -n	%name-i18n-de
German documentation for scribus.

%package -n	%name-i18n-fr
Summary:	French documentation for scribus
Group:		Office
Requires:	%name locales-fr

%description -n	%name-i18n-fr
French documentation for scribus.

%prep

%setup -q -a1 -a2 -a3 -a4

# this is a kludge!
touch aclocal.m4
find . -name Makefile.in | xargs touch
autoconf

%build
export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%{_lib}:$KDEDIR/%{_lib}:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
export QTLIB=$QTDIR/%{_lib}

export CFLAGS="$RPM_OPT_FLAGS -I/usr/include/lcms"
export CXXFLAGS="$RPM_OPT_FLAGS -I/usr/include/lcms"

%configure --disable-debug

#configure i18n and plugins
for i in %name-i18n-de %name-i18n-fr ; do cd $i; ./configure --prefix=/usr; cd ..; done

%make

# build en doc
cd %name-i18n-en ; %configure ; %make ; cd ..

# build samples
cd %name-samples-0.1 ; %configure ; %make ; cd ..


%install
rm -rf $RPM_BUILD_ROOT

# Laurent don't use %%makeinstall it doesn't work
# lib and pugins in not install in good directory.
%makeinstall

install -d -m 0755 %buildroot/%_menudir
cat > %buildroot/%_menudir/%{name} <<EOF
?package(%{name}): \
command="scribus" \
title="Scribus" \
longtitle="Scribus layout program" \
needs="x11" \
section="Applications/Publishing" \
icon="wordprocessor_section.png"
EOF

#build i18n
for i in %name-i18n-de %name-i18n-fr ; do cd $i; %make; %makeinstall; cd ..; done

cd %name-i18n-en ; %makeinstall ; cd ..
cd %name-samples-0.1 ; %makeinstall ; cd ..

%post
%update_menus

%postun
%clean_menus


%post -n %{libname} -p /sbin/ldconfig                                                                                                        
%postun -n %{libname} -p /sbin/ldconfig                                                                                                      

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%_bindir/*
%_menudir/*

%dir %{scribusdir}
%{scribusdir}/*.qm
#%{scribusdir}/*.enc
#%{scribusdir}/*.jpg
%{scribusdir}/*.txt
%{_datadir}/scribus

%{scribusdir}/import.prolog
%{scribusdir}/profiles
%{scribusdir}/dicts

%{_prefix}/lib/scribus/samples
%{scribusdir}/plugins

#%dir %{scribusdir}/icons/
#%{scribusdir}/icons/*.xpm
#%{scribusdir}/icons/*.png
#%{scribusdir}/icons/*.jpg

%_datadir/man/man1/scribus.1*
%_datadir/man/pl/man1/scribus.1*

%{_prefix}/lib/scribus/doc/en
%_prefix/lib/scribus/keysets/scribus13.ksxml
%{_datadir}/pixmaps/*

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING
%_libdir/%name/libs/*.so*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc AUTHORS COPYING
%_libdir/%name/libs/*a
%_includedir/%name/*

%files -n %name-i18n-fr
%defattr(-,root,root)
%_datadir/scribus/doc/fr

%files -n %name-i18n-de
%defattr(-,root,root)
%_datadir/scribus/doc/de

%changelog
* Fri Jul 15 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.0-1
- 1.3.0

* Wed Jul 06 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.2.1-2mdk
- no bz2 ending for man pages
- drop patches that wasn't applied
- sane %%setup
- fix path to qt3 libs (lib64)

* Tue Jul 05 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.2.1-1mdk
- 1.2.2.1
- %%mkrel

* Mon Jul 04 2005 Lenny Cartier <lenny@mandriva.com> 1.2.2-1mdk
- 1.2.2
- patch now merged upstream

* Sat Apr 16 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.2.1-2mdk
- Fixed %%{scribusdir} for X86-64.
- Added Patch2.

* Mon Jan 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1

* Fri Oct 22 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2-3mdk
- lib64 fixes (again)

* Tue Aug 31 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-2mdk
- Fix url bug found by 'Quel Qun <kelk1@comcast.net>"

* Sun Aug 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-1mdk
- 1.2 (before new version freeze)

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.7-1mdk
- 1.1.7

* Fri May 21 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1.6-2mdk
- fix buildrequires

* Thu May  6 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.1.6-1mdk
- New release 1.1.6

* Mon Dec 15 2003 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-6mdk
- removed broken distro versioning scheme for the BuildRequires

* Sat Oct 25 2003 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-5mdk
- BuildRequires

* Thu Oct  9 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-4mdk
- deps & lib64 fixes
- build with TIFF support

* Mon Sep 15 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.0.1-3mdk
- Added patch from Laurnet Montel to get PostScript output working
  with TTF fonts containing spaces in FontName (bug #3931).
- %%mklibname.

* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-2mdk
- Fix build

* Wed Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Fri Jul 18 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0-2mdk
- fix sub packages providing main one

* Thu Jul 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-1mdk
- 1.0

* Thu Jul 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.rc1.2mdk
- Rebuild

* Tue Jun 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0-0.rc1.1mdk

* Mon May 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.9-1mdk
- 0.9.9

* Tue Apr 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.8-1mdk
- 0.9.8

* Mon Feb 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.7-1mdk
- 0.9.7
- add now splitted sources

* Wed Jan 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.6-1mdk
- 0.9.6

* Tue Jan 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.5-1mdk
- 0.9.5
- Add patch1: fix compile

* Mon Dec 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.4-1mdk
- 0.9.4

* Wed Dec 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-2mdk
- fix group
- fix missing dependancies

* Sun Nov 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.3-1mdk
- 0.9.3

* Thu Nov 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-3mdk
- from Austin Acton <aacton@yorku.ca> :
	- add i18n packages

* Wed Nov 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-2mdk
- fix desc. (Adam Williamson)

* Mon Nov 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- 0.9.2
	- remove fr and de directories (to be added later as i18n sources)
	- todo: add new sources and packages for i18n and plugins

* Sun Sep 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8-1mdk
- 0.8

* Wed Sep 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.8-1mdk
- from Reinhard Katzmann <reinhard@suamor.de> :
	- 0.7.8
	- added profiles
	- added include directory to -devel

* Fri Sep 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.6-4mdk
- fix icons section (Austin Acton)

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.6-3mdk
- Rebuild against gcc-3.2

* Mon Jul 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.6-2mdk
- from Austin Acton <aacton@yorku.ca> :
	- add encodings, samples, plugins
	- move some .so's in order to run without devel package

* Mon Jul 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.6-1mdk
- 0.7.6

* Thu Jun 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.5-1mdk
- 0.7.5

* Sun Jun 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.4-1mdk
- new version

* Mon Jun 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.3-3mdk
- Fix spec file bug reported by Yannick Roehlly <yannick.roehlly@free.fr>

* Tue May 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.3-2mdk
- Fix obsoletes/provides

* Mon May 27 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.3-1mdk
- 0.7.3

* Thu May 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-2mdk
- Rebuild with new kde3.0 move it to main

* Sun May 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-1mdk
- New version

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-2mdk
- Rebuild against gcc3.1

* Sun Apr 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-1mdk
- Port to kde3.0

* Mon Apr 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6-1mdk
- 0.6

* Tue Apr 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.8-1mdk
- 0.5.8

* Sun Mar 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.7-1mdk
- 0.5.7

* Tue Feb 19 2002 Yves Duret <yduret@mandrakesoft.com> 0.5.5-2mdk
- added missing plugins thanx Reinhard Katzmann <suamor@gmx.net>
  (libdification in fact)

* Mon Feb 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5.5-1mdk
- 0.5.5

* Tue Feb 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5.4-1mdk
- 0.5.4

* Wed Jan 23 2002 Laurent MONTEL <lmontel@mandraksoft.com> 0.5.3-2mdk
- Rebuild
 
* Sat Jan 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5.3-1mdk
- 0.5.3

* Fri Jan 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-1mdk
- 0.5.2

* Thu Jan 10 2002 David BAUDENS <baudens@mandrakesoft.com> 0.5-3mdk
- Fix menu entry (add icon)

* Sun Dec 30 2001 Yves Duret <yduret@mandrakesoft.com> 0.5-2mdk
- add buildrequires
- even better description (truetype fonts is now supported)
- %%setup -q, few spec corrections
- fix rpmlint warnings
- remove patch1 no more needed

* Mon Dec 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- 0.5

* Mon Nov 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.10-1mdk
- 0.4.10

* Mon Nov 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.9-1mdk
- 0.4.9

* Mon Nov 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.8-1mdk
- 0.4.8

* Mon Nov 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.7-1mdk
- 0.4.7

* Thu Oct 30 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.6-1mdk
- Update code (0.4.6)

* Mon Oct 15 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.4-1mdk
- 0.4.4

* Thu Oct 09 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.3-2mdk
- Clean spec
- Patch1 : fix compile with enable-final

* Mon Oct 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.3-1mdk
- Update code (0.4.3)

* Fri Oct 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.2-1mdk
- 0.4.2

* Sun Aug 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.10-1mdk 
- new in contribs

